﻿using SfSchedule.Models;
using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Windows.Data;

namespace SfSchedule.Views
{
    class UsersConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is IEnumerable<User> users)
            {
                var types = new ObservableCollection<ResourceType>();
                types.Add(new ResourceType() { TypeName = "Appointments" });
                types[0].ResourceCollection = new ObservableCollection<object>(users);
                return types;
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
